<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\MAN\Services;

class PrinterParamsProdArea extends \Teknisa\MAN\Controllers\TeknisaCrud {
	
	protected $dataSourceProduto	= 'PrinterParamsProdAreas';
	protected $parameterBagColumns  = array('NRORG');

	public function __construct ($crudService, $parameterBag, $entityManager) {
		$this->crudService 				= $crudService;
		$this->parameterBag 			= $parameterBag;
		$this->entityManager 			= $entityManager;
	}

    public function find(DTO\Request\Filter $request, DTO\Response $response){
        $this->dataSourceName = 'PrinterParamsProdAreas';
        parent::find($request,$response);
    }
}